summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-06-28 06:23:25 +0200
committerHans de Graaff <graaff@gentoo.org>2016-06-28 06:23:25 +0200
commitdcfb3b8fee2e4a0d9eda68f8dcbe7070ad3db015 (patch)
treea35600b00ec70e183afc00fda33d8bde0b493714 /dev-ruby/colorize
parentapp-editors/latexila: bump to 3.20.0 for gnome-3.20 (diff)
downloadgentoo-dcfb3b8fee2e4a0d9eda68f8dcbe7070ad3db015.tar.gz
gentoo-dcfb3b8fee2e4a0d9eda68f8dcbe7070ad3db015.tar.bz2
gentoo-dcfb3b8fee2e4a0d9eda68f8dcbe7070ad3db015.zip
dev-ruby/colorize: add 0.8.0
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby/colorize')
-rw-r--r--dev-ruby/colorize/Manifest1
-rw-r--r--dev-ruby/colorize/colorize-0.8.0.ebuild30
2 files changed, 31 insertions, 0 deletions
diff --git a/dev-ruby/colorize/Manifest b/dev-ruby/colorize/Manifest
index 5f3acdecac9..608f5670ee1 100644
--- a/dev-ruby/colorize/Manifest
+++ b/dev-ruby/colorize/Manifest
@@ -1 +1,2 @@
DIST colorize-0.7.7.gem 15360 SHA256 d6ab95a5fcdea3c36c3327d38c1e79e2950ee1788506d8489ae35db330937a99 SHA512 ac55d281a3ac7aa72c02ecdc27a1936410cb2754e48e0c23b98eba5e98a8bf42e362fe3a86e73c12ff5445f2e0a92a7c561e82a4d85aae0ef08a9855b056f359 WHIRLPOOL 43576f9fcc4880644b610fcc7bbebf8c6a72381d40d33fc7c1d44f6145cc78998ad6bfcba3b5fb52ecb1fc9f15e1e2cf7973888a1bcf040597bb1b0abb8e9143
+DIST colorize-0.8.0.gem 15872 SHA256 43c0daf332260b67d844487b2975830d31d1ca49fd427f9d2468bd52324fb1d6 SHA512 7bd7899c2e38e75f311aadc1762f5da4ce0cf94f3a4f9304447f915a09d8159edc66db746728cb9f1e4f98ff52c9152225aa7b724865c8875379f0c9f5d1218c WHIRLPOOL fb739c96fa2addd9192f834f8dc3f1cd905f410d3bed49f1d36876cb6b3e0aed2b4d203d12318b262fe51d3cf6f11024e583861876bde9ab06b22b19f3991ec7
diff --git a/dev-ruby/colorize/colorize-0.8.0.ebuild b/dev-ruby/colorize/colorize-0.8.0.ebuild
new file mode 100644
index 00000000000..212d7e56467
--- /dev/null
+++ b/dev-ruby/colorize/colorize-0.8.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.md"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Adds methods to set color, background color and text effect on console easier"
+HOMEPAGE="https://github.com/fazibear/colorize"
+LICENSE="GPL-2+"
+
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/minitest:5 )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Cc]ode[Cc]limate/d" test/test_colorize.rb || die
+}
+
+each_ruby_test() {
+ cd test || die
+ ${RUBY} test_colorize.rb || die
+}